<?php

// Abstraer
defined('BASEPATH') OR exit('No direct script access allowed');

class Colonias_fincas extends Admin_Controller {

	public function __construct()
	{
		parent::__construct();  
		

		$this->load->model('man_espacial/fincas/colonias_fincas_model');
		$this->lang->load('colonias/colonias');
		// inicializamos la librería
        $this->load->library('Classes/PHPExcel.php');

		/* Titulo de la pagina :: Common */ 
		$this->page_title->push(lang('menu_colonias'));
		$this->data['pagetitle'] = $this->page_title->show();
		if ($_SESSION['id_modulo'] != 'COLONIAS') {

			$_SESSION['arraywhere_colonias'] = NULL;
			$_SESSION['arraywhere_colonias_busq'] = NULL;
			$_SESSION['id_modulo'] = 'COLONIAS';
		}

		/* Breadcrumbs :: Common */
		$this->breadcrumbs->unshift(1, lang('menu_colonias'), 'admin/colonias');
	}

	
	public function index()
	{
		//Abstraer con las vistas dinamicas. Jaime - Raquel
		if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
		{
			redirect('auth/login', 'refresh');
		}else{

             if ($_POST) {

				if ($_POST['dpto_cod']) 
				{
					$arraywhere['dpto_cod'] 					= $_POST['dpto_cod'];
					$arraywherebusq['dpto_cod like '] 			= '%'.$_POST['dpto_cod'].'%';
				}
				if ($_POST['dist_cod']) 
				{
					$arraywhere['dist_cod'] 					= $_POST['dist_cod'];
					$arraywherebusq['dist_cod like '] 			= '%'.$_POST['dist_cod'].'%';
				}
				if ($_POST['col_cod']) 
				{
					if (is_numeric($_POST['col_cod'])) {
						$arraywhere['col_cod'] 					= $_POST['col_cod'];
						$arraywherebusq['col_cod'] 				= $_POST['col_cod'];
					}
				}
				if ($_POST['col_desc']) 
				{
					$arraywhere['col_desc'] 					= $_POST['col_desc'];
					$arraywherebusq['lower(col_desc) like '] 	= '%'.strtolower($_POST['col_desc']).'%';
				}
				if ($_POST['col_codgeo']) 
				{
					$arraywhere['col_codgeo'] 					= $_POST['col_codgeo'];
					$arraywherebusq['col_codgeo like '] 		= '%'.$_POST['col_codgeo'].'%';
				}

				$_SESSION['arraywhere_colonias'] = $arraywhere;
				$_SESSION['arraywhere_colonias_busq'] = $arraywherebusq;

				redirect('man_espacial/colonias/colonias/index');				
			}

			 // ----- Paginacion Generica 
			$mi_paginacion = $this->ion_auth->paginacion_generica(
				8, 						// resultados por por_pagina, 
				5, 							// segmento uri a leer, 
				5, 							// cantidad_enlaces,
				base_url(). 'man_espacial/colonias/colonias/index/',  // url completa de la pagina paginada
				'colonias',		// scheme y nombre de la tabla, para la consulta
				$_SESSION['arraywhere_colonias_busq']
				);

			$this->data['pagination'] 		= $mi_paginacion['pagination'];

			$this->data['colonias']	  		= $this->ion_auth_model->segmentador_paginas(
 				$mi_paginacion['per_page'], 	// resultados por pagina
 				5,								// segmento uri a leer
 				'colonias',					// el nombre de la tabla a consultar $nombre_tabla
 				$_SESSION['arraywhere_colonias_busq']
 				)->result();
			// ----- Fin paginacion

			$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

			/* Breadcrumbs - Miga de pan */
			$this->data['breadcrumb'] 	= $this->breadcrumbs->show();

			/* Cargar plantilla predefinida */
			$this->template->admin_render('man_espacial/fincas/index_colonias_fincas', $this->data);
		}
	}

	public function mant_fincas($gid)
	{
		if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
		{
			redirect('auth/login', 'refresh');
		}
		else
		{	
			/* Breadcrumbs */
	        $this->breadcrumbs->unshift(2, 'Mantenimiento', 'admin/groups/profile');
	        $this->data['breadcrumb'] = $this->breadcrumbs->show();

			$col  = $this->colonias_fincas_model->view('colonias', array('gid' => $gid))->row();
			$this->data['col_info'] = $col;

			$this->data['fincas'] = $this->colonias_fincas_model->view('fincas', array('dpto' => $col->dpto_cod, 'distrito' => $col->dist_cod,'colonia' => $col->col_cod))->result(); 

			$this->data['dpto'] = array(
				'type'     => 'hidden',
				'name'     => 'dpto',
				'id'       => 'dpto',
				'value'    => $col->dpto_cod
			);

			$this->data['distrito'] = array(
				'type'     => 'hidden',
				'name'     => 'distrito',
				'id'       => 'distrito',
				'value'    => $col->dist_cod
			);

			$this->data['colonia'] = array(
				'type'     => 'hidden',
				'name'     => 'colonia',
				'id'       => 'colonia',
				'value'    => $col->col_cod
			);

			$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));
	        
			/* Load Template */
            $this->template->admin_render('man_espacial/fincas/mantenimiento', $this->data);
		}
	}

	public function exportar_fincas()
	{
		system('cmd /c c:/espacio_trabajo/exportarpg.bat,archivo,indert,sirt2015**,' . $_POST['dpto'] . ',' . $_POST['distrito'] . ',' . $_POST['colonia']);
		show_error(1);
	}

	public function importar_fincas()
	{
		//echo $_POST['dpto'].'/'.$_POST['distrito'].'/'.$_POST['colonia'];

		
		if (empty($_FILES['shapes']['name'][0])) {
			$this->session->set_flashdata('message', '¡PRIMERO SELECCIONE LA CARPETA!');
			redirect('man_espacial/fincas/colonias_fincas/mant_fincas/'.$_POST['gid']);
		}
		//show_error(1);
		$ruta_dest = trim('C:\espacio_trabajo\prb\ ');

		$i = 0;
		while (isset($_FILES['shapes']['name'][$i])) {

			switch (substr($_FILES['shapes']['name'][$i],-3)) {
				case 'dbf':
					copy($_FILES['shapes']['tmp_name'][$i], $ruta_dest . $_FILES['shapes']['name'][$i]);

					$arrayfiles[] = $_FILES['shapes']['name'][$i];
					
					break;

				case 'shp':
					copy($_FILES['shapes']['tmp_name'][$i], $ruta_dest . $_FILES['shapes']['name'][$i]);

					$arrayfiles[] = $_FILES['shapes']['name'][$i];
					
					break;

				case 'shx':
					copy($_FILES['shapes']['tmp_name'][$i], $ruta_dest . $_FILES['shapes']['name'][$i]);

					$arrayfiles[] = $_FILES['shapes']['name'][$i];
					
					break;
				
				default:
					break;
			}

			$i = $i + 1;
		}

		$cmd = system('cmd /c C:/espacio_trabajo/prb/importarpg.bat');
		//$comando = '';

		//cmd /c C:[path to file]

		//system('cmd /c C:\\espacio_trabajo\\importar_shape_seam.bat');
		//exec('cmd /c C:\espacio_trabajo\importar_shape_seam.bat');
		//exec('cmd /c C:\espacio_trabajo\importar_shape_seam.bat');

		$this->session->set_flashdata('message', '¡IMPORTADOS!');

		redirect('man_espacial/fincas/colonias_fincas/mant_fincas/'.$_POST['gid']);
	}

	public function create()
	{
		if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
		{
			redirect('auth', 'refresh');
		}

		/* Breadcrumbs */
		$this->breadcrumbs->unshift(2, lang('menu_colonias'), 'colonias/create');
		$this->data['breadcrumb'] = $this->breadcrumbs->show();

		/* Validate form input */
		$this->form_validation->set_rules('col_cod' , 'lang:colonia_col_cod' , 'required|is_numeric|max_length[3]');
		$this->form_validation->set_rules('col_desc', 'lang:colonia_col_desc', 'required');

		if ($this->form_validation->run() == TRUE)
		{
			$dptodistritocolonia = $_POST['dpto_distrito_colonia'];
			
			if ($_POST['dpto_cod']) {
				$arraycampos['dpto_cod']   			= $_POST['dpto_cod'];
			}

			if ($_POST['dist_cod']) {
				$arraycampos['dist_cod']   			= $_POST['dist_cod'];
			}

			if ($_POST['col_cod']) {
				$arraycampos['col_cod']   			= $_POST['col_cod'];
			}

			if ($_POST['col_codgeo']) {
				$arraycampos['col_codgeo']   			= $_POST['col_codgeo'];
			}

			if ($_POST['dist_matriz']) {

				$arraycampos['dist_matriz']			= $_POST['dist_matriz'];
			}

			if ($_POST['col_desc']) {
				$arraycampos['col_desc']   			= strtoupper($_POST['col_desc']);
			}

			if ($_POST['resolucion_hab']) {
				$arraycampos['resolucion_hab']   			= $_POST['resolucion_hab'];
			}

			if ($_POST['fecha_hab']) {
				$arraycampos['fecha_hab']   			= $_POST['fecha_hab'];
			}

			if ($_POST['fecha_inscripcion']) {
				$arraycampos['fecha_inscripcion']   			= $_POST['fecha_inscripcion'];
			}

			if ($_POST['antecedentes']) {
				$arraycampos['antecedentes']   			= trim($_POST['antecedentes']);
			}

			$new_colonia_id = $this->colonias_model->create_colonia($arraycampos);
			if ($new_colonia_id)
			{
				$this->session->set_flashdata('message', $this->ion_auth->messages());
				redirect('man_espacial/colonias/colonias');
			}
		}else{
			$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));
	
			$this->data['col_cod'] = array(
				'name'  => 'col_cod',
				'id'    => 'col_cod',
				'type'  => 'text',
				'class' => 'form-control',
				'value' => $this->form_validation->set_value('col_cod'),
				'maxlength' => 3
			);
			 
			$this->data['col_desc'] = array(
				'name'  => 'col_desc',
				'id'    => 'col_desc',
				'type'  => 'text',
				'class' => 'form-control',
				'value' => $this->form_validation->set_value('col_desc')
			);

			$this->data['resolucion_hab'] = array(
				'name'  => 'resolucion_hab',
				'id'    => 'resolucion_hab',
				'type'  => 'text',
				'class' => 'form-control',
			);

			$this->data['fecha_hab'] = array(
				'name'  => 'fecha_hab',
				'id'    => 'fecha_hab',
				'type'  => 'text',
				'class' => 'form-control',
			);

			$this->data['antecedentes'] = array(
				'type'  => 'text',
				'name'  => 'antecedentes',
				'id'    => 'antecedentes',
				'style' => 'width: 268px;height: 150px',
				'class' => 'form-control'
			);

			$this->data['fecha_inscripcion'] = array(
				'name'  => 'fecha_inscripcion',
				'id'    => 'fecha_inscripcion',
				'type'  => 'text',
				'class' => 'form-control',
			);

			$dptos[''] = 'Dpto. Distrito y Colonia';
			$dpto_distrito = $this->colonias_model->dropdown_data('v_dpto_distrito_colonia')->result_array();
			//inserta en un array asociativo para poder utilizarlo en el form_dropdown
			foreach ($dpto_distrito as $dd) {
				$col_cod = str_pad($dd['col_cod'], 3, "0", STR_PAD_LEFT);
				$dpto_distritos[$dd['dpto'].$dd['distrito'].$col_cod] = 'Dpto.: ('.$dd['dpto'].') '.$dd['dpto_desc'].' - Dist.:('.$dd['distrito'].') '.$dd['dist_desc'].' - Colonia.:('.$col_cod.') '.$dd['col_desc'];
			}
			$this->data['dpto_distrito_colonia'] = $dpto_distritos;
			//$this->data['dpto_distrito_colonia_sel'] = $geocolonia->dpto_cod.$geocolonia->dist_cod.$geocolonia->col_cod;

			$dptos[''] = 'Seleccione el departamento';
			$departamentos = $this->colonias_model->dropdown_data('departamentos')->result_array();
			//inserta en un array asociativo para poder utilizarlo en el form_dropdown
			foreach ($departamentos as $dpto) {
				$dptos[$dpto['dpto']] = $dpto['dpto'].' - '.$dpto['dpto_desc'];
			}
			$this->data['departamentos'] = $dptos;

			$distmtrs[''] = 'Seleccione el distrito matriz';
			$distritos = $this->colonias_model->dropdown_data('distritos')->result_array();
			
			//inserta en un array asociativo para poder utilizarlo en el form_dropdown
			foreach ($distritos as $distmtr) {
				$distmtrs[$distmtr['gid']] = 'Dpto: ('.$distmtr['dpto'].') '. $distmtr['dpto_desc'] . ' - Distrito: ('.$distmtr['distrito'].') '. $distmtr['dist_desc'];
			}
			$this->data['dist_matriz'] = $distmtrs;
			
			/* Load Template */
			$this->template->admin_render('man_espacial/colonias/create', $this->data);
		}
	}


	public function edit($gid)
	{

		if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin() OR ! $gid OR empty($gid))
		{
			redirect('auth', 'refresh');
		}

		/* Breadcrumbs */
		$this->breadcrumbs->unshift(2, lang('menu_colonias_edit'), 'colonias/edit');
		$this->data['breadcrumb'] = $this->breadcrumbs->show();

		/* Variables *///Trae de la base de datos la fila seleccionada
		$colonia = $this->colonias_model->view('colonias', array('gid' => $gid))->row();
		//$colonia = $this->colonias_model->view('geocolonias', array('' => ))->row();

		/* Validate form input */
		//$this->form_validation->set_rules('col_cod', $this->lang->line('edit_colonia_validation_name_label'), 'required|is_numeric|max_length[3]');
		
		$this->form_validation->set_rules('col_desc', $this->lang->line('edit_colonia_validation_name_label'), 'required');

		//Se produce cuando el usuario da click en el submit
		if (isset($_POST) && ! empty($_POST))
		{
			if ($this->form_validation->run() == TRUE)
			{
				$dptodistrito = $_POST['dpto_cod_distrito'];
				$dpto = substr($dptodistrito, 0, 2);
				$dist = substr($dptodistrito, 2, 2);

				if ($_POST['dpto_cod']) {
					$arraycampos['dpto_cod']			= $_POST['dpto_cod'];
				}

				if ($_POST['dist_cod']) {
					$arraycampos['dist_cod']			= $_POST['dist_cod'];
				}

				if ($_POST['dpto_distrito_colonia']) {
					$arraycampos['col_codgeo'] 			= $_POST['dpto_distrito_colonia'];
				}

				if ($_POST['dist_matriz']) {
					$arraycampos['dist_matriz']			= $_POST['dist_matriz'];
				}

				if ($_POST['col_desc']) {
					$arraycampos['col_desc']			= strtoupper($_POST['col_desc']);
				}

				if ($_POST['resolucion_hab']) {
					$arraycampos['resolucion_hab']		= $_POST['resolucion_hab'];
				}else{
					$arraycampos['resolucion_hab']		= '';
				}

				if ($_POST['fecha_hab']) {
					$arraycampos['fecha_hab']			= $_POST['fecha_hab'];
				}else{
					$arraycampos['fecha_hab']			= NULL;
				}

				if ($_POST['fecha_inscripcion']) {
					$arraycampos['fecha_inscripcion']	= $_POST['fecha_inscripcion'];
				}else{
					$arraycampos['fecha_inscripcion']	= NULL;
				}

				if ($_POST['antecedentes']) {
					$arraycampos['antecedentes']		= trim($_POST['antecedentes']);
				}else{
					$arraycampos['antecedentes']		= '';
				}

				if ($_POST['fecha_inscripcion']) {
					$arraycampos['fecha_inscripcion']	= $_POST['fecha_inscripcion'];
				}else{
					$arraycampos['fecha_inscripcion']	= NULL;
				}

				if ($_POST['fecha_deslinde']) {
					$arraycampos['fecha_deslinde']		= $_POST['fecha_deslinde'];
				}else{
					$arraycampos['fecha_deslinde']		= NULL;
				}

				$colonia_update = $this->colonias_model->update_colonia($gid,$arraycampos);

				if ($colonia_update)
				{

					//una prueba de que trae los valores es reemplazando $this->lang->line('edit_colonia_saved') por $_POST('id') por ejemplo
					$this->session->set_flashdata('message', $this->lang->line('colonia_update_successful'));
					redirect('man_espacial/colonias/colonias/edit/'.$gid); //VER OTRA MANERA DE ACTUALIZAR LA PAGINA, YA QUE AL REFRESCAR SOLO VUELVE A TOMAR LOS VALORES DE DPTO, DISTRITO Y COLONIA
				}
				else
				{
					$this->session->set_flashdata('message', $this->ion_auth->errors());
				}

				//aquí se designa a que pantalla irá al finalizar independientemente de que el proceso de actualización haya sido satisfactorio
				//redirect('man_espacial/colonias/colonias', 'refresh'); 
			}
		}

		$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));
		$this->data['colonia']   = $colonia;

		//$readonly = $this->config->item('admin_group', 'ion_auth') === $colonia->col_desc ? 'readonly' : '';
		
		//creando campos
		$this->data['col_cod'] = array(
			'type'     => 'text',
			'name'     => 'col_cod',
			'id'       => 'col_cod',
			'value'    => $this->form_validation->set_value('colonia_col_cod', $colonia->col_cod),
			'data-src' => $colonia->col_cod,
			'class'    => 'form-control',
			'disabled'    => true
		);
		 
		$this->data['col_desc'] = array(
			'type'     => 'text',
			'name'     => 'col_desc',
			'id'       => 'col_desc',
			'value'    => $this->form_validation->set_value('colonia_col_desc', $colonia->col_desc),
			'data-src' => $colonia->col_desc,
			'class'    => 'form-control'
		);

		$this->data['resolucion_hab'] = array(
			'name'  => 'resolucion_hab',
			'id'    => 'resolucion_hab',
			'type'  => 'text',
			'value'    => $this->form_validation->set_value('colonia_resolucion_hab', $colonia->resolucion_hab),
			'class' => 'form-control',
		);

		$this->data['fecha_hab'] = array(
			'name'  => 'fecha_hab',
			'id'    => 'fecha_hab',
			'type'  => 'text',
			'value'    => $this->form_validation->set_value('colonia_fecha_hab', $colonia->fecha_hab),
			'class' => 'form-control',
		);

		$this->data['antecedentes'] = array(
			'type'  => 'text',
			'name'  => 'antecedentes',
			'id'    => 'antecedentes',
			'style' => 'width: 268px;height: 150px',
			'value'    => $this->form_validation->set_value('colonia_antecedentes', $colonia->antecedentes),
			'class' => 'form-control'
		);

		$this->data['fecha_inscripcion'] = array(
			'name'  => 'fecha_inscripcion',
			'id'    => 'fecha_inscripcion',
			'type'  => 'text',
			'value'    => $this->form_validation->set_value('colonia_fecha_inscripcion', $colonia->fecha_inscripcion),
			'class' => 'form-control',
		);

		$this->data['fecha_deslinde'] = array(
			'name'  => 'fecha_deslinde',
			'id'    => 'fecha_deslinde',
			'type'  => 'text',
			'value'    => $this->form_validation->set_value('colonia_fecha_deslinde', $colonia->fecha_deslinde),
			'class' => 'form-control',
		);

		/*$dptos[''] = 'Dpto. Distrito y Colonia';
		$dpto_distrito = $this->colonias_model->dropdown_data('v_dpto_distrito_colonia')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($dpto_distrito as $dd) {
			$dpto_distritos[$dd['dpto'].$dd['distrito']] = 'Dpto.: ('.$dd['dpto'].') '.$dd['dpto_desc'].' - Dist.:('.$dd['distrito'].') '.$dd['dist_desc'];
		}
		$this->data['dpto_distrito'] = $dpto_distritos;
		$this->data['dpto_distrito_sel'] = $colonia->dpto_cod.$colonia->dist_cod;

		$dptodistritocolonias[''] = 'Dpto. Distrito y Colonia';
		$dptodistritocolonia = $this->colonias_model->dropdown_data('v_dpto_distrito_colonia')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($dptodistritocolonia as $dd) {
			$col_cod = str_pad($dd['col_cod'], 3, "0", STR_PAD_LEFT);
			$dptodistritocolonias[$dd['dpto'].$dd['distrito'].$col_cod] = 'Dpto.: ('.$dd['dpto'].') '.$dd['dpto_desc'].' - Dist.:('.$dd['distrito'].') '.$dd['dist_desc'].' - Colonia.:('.$col_cod.') '.$dd['col_desc'];
		}
		$this->data['dpto_distrito_colonia'] = $dptodistritocolonias;
		$this->data['dpto_distrito_colonia_sel'] = $colonia->col_codgeo;
		//$this->data['dpto_distrito_colonia_sel'] = $colonia->dpto_cod.$colonia->dist_cod.str_pad($colonia->col_cod, 3, "0", STR_PAD_LEFT);

		$dptos[''] = 'Seleccione el departamento';
		$departamentos = $this->colonias_model->dropdown_data('departamentos')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($departamentos as $dpto) {
			$dptos[$dpto['dpto']] = $dpto['dpto'].' - '.$dpto['dpto_desc'];
		}
		$this->data['departamentos']     = $dptos;
		$this->data['departamentos_sel'] = $colonia->dpto_cod;*/

		$dptos[''] = 'Seleccione el departamento';
		$dpto = $this->colonias_model->dropdown_data('departamentos')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($dpto as $dp) {
			$dptos[$dp['dpto']] = $dp['dpto'] . ' - ' . $dp['dpto_desc'];
		}
		$this->data['dpto'] = $dptos;
		$this->data['dpto_sel'] = $colonia->dpto_cod;

		$distritos = $this->colonias_model->dropdown_data('distritos',array('dpto' => $colonia->dpto_cod, 'distrito' => $colonia->dist_cod), 'distrito')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($distritos as $dist) {
			$dists[$dist['distrito']] = $dist['distrito'].' - '.$dist['dist_desc'];
		}
		if (isset($dists)) {
			$this->data['distritos'] = $dists;
		}else{
			$this->data['distritos'] = NULL;
		}
		$this->data['distritos_sel'] = $colonia->dist_cod;

		$dptodistritocolonias[''] = 'Dpto. Distrito y Colonia';
		$dptodistritocolonia = $this->colonias_model->dropdown_data('v_dpto_distrito_colonia')->result_array();
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($dptodistritocolonia as $dd) {
			$col_cod = str_pad($dd['col_cod'], 3, "0", STR_PAD_LEFT);
			$dptodistritocolonias[$dd['dpto'].$dd['distrito'].$col_cod] = 'Dpto.: ('.$dd['dpto'].') '.$dd['dpto_desc'].' - Dist.:('.$dd['distrito'].') '.$dd['dist_desc'].' - Colonia.:('.$col_cod.') '.$dd['col_desc'];
		}
		$this->data['dpto_distrito_colonia'] = $dptodistritocolonias;
		$this->data['dpto_distrito_colonia_sel'] = $colonia->col_codgeo;

		$distmtrs[''] = 'Seleccione el distrito matriz';
		$distritos = $this->colonias_model->dropdown_data('distritos')->result_array();	
		//inserta en un array asociativo para poder utilizarlo en el form_dropdown
		foreach ($distritos as $distmtr) {
			$distmtrs[$distmtr['gid']] = 'Dpto: ('.$distmtr['dpto'].') '. $distmtr['dpto_desc'] . ' - Distrito: ('.$distmtr['distrito'].') '. $distmtr['dist_desc'];
		}
		$this->data['dist_matriz'] = $distmtrs;
		$this->data['dist_matriz_sel'] = $colonia->dist_matriz;

		/* Load Template */
		$this->template->admin_render('man_espacial/colonias/edit', $this->data);
	}



	public function ver($gid)
	{

		if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin() OR ! $gid OR empty($gid))
		{
			redirect('auth', 'refresh');
		}

		/* Breadcrumbs */
		$this->breadcrumbs->unshift(2, lang('menu_colonias_ver'), 'colonias/ver');
		$this->data['breadcrumb'] = $this->breadcrumbs->show();

		/* Variables *///Trae de la base de datos la fila seleccionada
		$colonia = $this->colonias_model->view('colonias', array('gid' => $gid))->row();
		//$colonia = $this->colonias_model->view('geocolonias', array('' => ))->row();

		/* Validate form input */
		//$this->form_validation->set_rules('col_cod', $this->lang->line('edit_colonia_validation_name_label'), 'required|is_numeric|max_length[3]');
		
		$this->form_validation->set_rules('col_desc', $this->lang->line('edit_colonia_validation_name_label'), 'required');

		//Se produce cuando el usuario da click en el submit
		if (isset($_POST) && ! empty($_POST))
		{
			if ($this->form_validation->run() == TRUE)
			{
				$dptodistrito = $_POST['dpto_cod_distrito'];
				$dpto = substr($dptodistrito, 0, 2);
				$dist = substr($dptodistrito, 2, 2);

				if ($_POST['dpto_distrito_colonia']) {
					$arraycampos['col_codgeo'] 			= $_POST['dpto_distrito_colonia'];
				}

				if ($_POST['col_desc']) {
					$arraycampos['col_desc']			= strtoupper($_POST['col_desc']);
				}

				if ($_POST['resolucion_hab']) {
					$arraycampos['resolucion_hab']		= $_POST['resolucion_hab'];
				}

				if ($_POST['fecha_hab']) {
					$arraycampos['fecha_hab']			= $_POST['fecha_hab'];
				}

				if ($_POST['fecha_inscripcion']) {
					$arraycampos['fecha_inscripcion']			= $_POST['fecha_inscripcion'];
				}

				if ($_POST['antecedentes']) {
					$arraycampos['antecedentes']		= trim($_POST['antecedentes']);
				}

				if ($_POST['fecha_inscripcion']) {
					$arraycampos['fecha_inscripcion']	= $_POST['fecha_inscripcion'];
				}

				$colonia_update = $this->colonias_model->update_colonia($gid,$arraycampos);

				if ($colonia_update)
				{

					//una prueba de que trae los valores es reemplazando $this->lang->line('edit_colonia_saved') por $_POST('id') por ejemplo
					$this->session->set_flashdata('message', $this->lang->line('colonia_update_successful'));
					redirect('man_espacial/colonias/colonias/ver/'.$gid); //VER OTRA MANERA DE ACTUALIZAR LA PAGINA, YA QUE AL REFRESCAR SOLO VUELVE A TOMAR LOS VALORES DE DPTO, DISTRITO Y COLONIA
				}
				else
				{
					$this->session->set_flashdata('message', $this->ion_auth->errors());
				}

				//aquí se designa a que pantalla irá al finalizar independientemente de que el proceso de actualización haya sido satisfactorio
				//redirect('man_espacial/colonias/colonias', 'refresh'); 
			}
		}

		$this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));
		$this->data['colonia']   = $colonia;

		//$readonly = $this->config->item('admin_group', 'ion_auth') === $colonia->col_desc ? 'readonly' : '';
		
		//creando campos
		$this->data['dpto'] = $colonia->dpto_cod;
		$this->data['dist'] = $colonia->dist_cod;
		$this->data['colonia'] = $colonia->col_cod;
		$this->data['gid'] = $colonia->col_cod;

	}


	public function trae_distritos()
	{
		$dpto 	   = $_POST['dpto_cod'];

		$distritos = $this->colonias_model->dropdown_data('distritos',array('dpto' => $dpto), 'distrito')->result();

		echo '<option value="">Seleccione el distrito</option>';
		foreach ($distritos as $value) {
			echo '<option value="' . $value->distrito . '">' . $value->distrito . ' - ' . $value->dist_desc . '</option>';
		}

		//echo json_encode($distritos);
	}

	public function existe_colonia()
	{
		$existe_colonia = $this->colonias_model->contador_registros($_POST['tabla'], array('dpto' => $_POST['dpto'], 'distrito' => $_POST['distrito'], 'colonia' => $_POST['colonia']));
		
		if ($existe_colonia > 0) {
			echo 'SI';
		}else{
			echo 'NO';
		}
	}

	public function eliminar_parcelas()
	{	
		$existen_parcelas = $this->colonias_model->contador_registros('in_temp',array('dpto' => $_POST['dpto'], 'distrito' => $_POST['distrito'], 'colonia' => $_POST['colonia']));
		
		if ($existen_parcelas == 0) {
			echo 'SI';
		}else{
			$eliminar_parcelas = $this->colonias_model->eliminar_parcelas('in_temp',array('dpto' => $_POST['dpto'], 'distrito' => $_POST['distrito'], 'colonia' => $_POST['colonia']));
			echo 'BORRADA';
		}
	}

	public function eliminar_pericia()
	{	
		$this->colonias_model->eliminar_parcelas('in_planopuntos',array('dpto' => $_POST['dpto'], 'distrito' => $_POST['distrito'], 'colonia' => $_POST['colonia']));

		$this->colonias_model->eliminar_parcelas('in_plano',array('dpto' => $_POST['dpto'], 'distrito' => $_POST['distrito'], 'colonia' => $_POST['colonia']));
		
		return true;
	}


	public function delete()
	{
		if ( ! $this->ion_auth->logged_in())
		{
			redirect('auth/login', 'refresh');
		}
		elseif ( ! $this->ion_auth->is_admin())
		{
			return show_error('You must be an administrator to view this page.');
		}
		else
		{
			$this->load->view('colonias/delete');
		}
	}


	
}